CS::RenderManager::RenderTreeStandardTraits Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes
CS::RenderManager::RenderTreeStandardTraits Class Reference

Standard traits for customizing the render tree class. More...

`#include <csplugincommon/rendermanager/standardtreetraits.h>`

Inherited by CS::RenderManager::RenderTreeLightingTraits.

List of all members.

## Classes
struct | ContextNodeExtraDataType
| Any extra data that should be defined for each context node. More...
struct | MeshExtraDataType
| Any extra data per mesh in a single mesh. More...
struct | MeshNodeExtraDataType
| Any extra data that should be defined for each mesh node. More...
struct | MeshNodeKeyType
| The data type to use as node key for mesh nodes. More...
struct | PersistentDataExtraDataType
| Any extra data that needs to persist between frames. More...
## Static Public Member Functions
Standard functions
static MeshNodeKeyType | GetMeshNodeKey (CS::Graphics::RenderPriority defaultPriority, const csRenderMesh &rendermesh, const PersistentDataExtraDataType &data)
| Given a iMeshWrapper and a csRenderMesh, get the correct mesh node index.
template<typename T >
static void | SetupMeshNode (T &meshNode, CS::Graphics::RenderPriority defaultPriority, const csRenderMesh &rendermesh, const PersistentDataExtraDataType &data)
| Setup a new mesh node from the first iMeshWrapper and csRenderMesh.

## Detailed Description

Standard traits for customizing the render tree class.

Render tree traits specify additional data stored with meshes, contexts and others in a render tree. To provide custom traits, create a class and either provide a new, custom type for a trait or typedef in the respective type from RenderTreeStandardTraits.

Definition at line 49 of file standardtreetraits.h.

## Member Function Documentation

static MeshNodeKeyType CS::RenderManager::RenderTreeStandardTraits::GetMeshNodeKey | ( | CS::Graphics::RenderPriority | defaultPriority,
|  | const csRenderMesh & | rendermesh,
|  | const PersistentDataExtraDataType & | data
| ) |  | `[inline, static]`

Given a iMeshWrapper and a csRenderMesh, get the correct mesh node index.

Definition at line 104 of file standardtreetraits.h.

template<typename T >

static void CS::RenderManager::RenderTreeStandardTraits::SetupMeshNode | ( | T & | meshNode,
|  | CS::Graphics::RenderPriority | defaultPriority,
|  | const csRenderMesh & | rendermesh,
|  | const PersistentDataExtraDataType & | data
| ) |  | `[inline, static]`

Setup a new mesh node from the first iMeshWrapper and csRenderMesh.

Definition at line 122 of file standardtreetraits.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/standardtreetraits.h